Loading...
Searching...
No Matches
casacore::MSFlagCmdColumns Class Reference
ms package (libcasa_ms) » MeasurementSets_module

More...

`#include <MSFlagCmdColumns.h>`

## Public Member Functions

| MSFlagCmdColumns (const MSFlagCmd &msFlagCmd)
| Create a columns object that accesses the data in the specified Table.
| ~MSFlagCmdColumns ()
| The destructor does nothing special.
ScalarColumn< Bool > & | applied ()
| Access to required columns.
ScalarColumn< String > & | command ()
ScalarColumn< Double > & | interval ()
ScalarQuantColumn< Double > & | intervalQuant ()
ScalarColumn< Int > & | level ()
ScalarColumn< String > & | reason ()
ScalarColumn< Int > & | severity ()
ScalarColumn< Double > & | time ()
ScalarQuantColumn< Double > & | timeQuant ()
ScalarMeasColumn< MEpoch > & | timeMeas ()
ScalarColumn< String > & | type ()
const ScalarColumn< Bool > & | applied () const
| Const access to required columns.
const ScalarColumn< String > & | command () const
const ScalarColumn< Double > & | interval () const
const ScalarQuantColumn< Double > & | intervalQuant () const
const ScalarColumn< Int > & | level () const
const ScalarColumn< String > & | reason () const
const ScalarColumn< Int > & | severity () const
const ScalarColumn< Double > & | time () const
const ScalarQuantColumn< Double > & | timeQuant () const
const ScalarMeasColumn< MEpoch > & | timeMeas () const
const ScalarColumn< String > & | type () const
rownr_t | nrow () const
| Convenience function that returns the number of rows in any of the columns.
void | setEpochRef (MEpoch::Types ref, Bool tableMustBeEmpty=True)
| set the epoch type for the FLAG_CMD column.

## Protected Member Functions

| MSFlagCmdColumns ()
void | attach (const MSFlagCmd &msFlagCmd)

## Private Member Functions

| MSFlagCmdColumns (const MSFlagCmdColumns &)
MSFlagCmdColumns & | operator= (const MSFlagCmdColumns &)

## Private Attributes

ScalarColumn< Bool > | applied_p
ScalarColumn< String > | command_p
ScalarColumn< Double > | interval_p
ScalarColumn< Int > | level_p
ScalarColumn< String > | reason_p
ScalarColumn< Int > | severity_p
ScalarColumn< Double > | time_p
ScalarColumn< String > | type_p
ScalarMeasColumn< MEpoch > | timeMeas_p
ScalarQuantColumn< Double > | intervalQuant_p
ScalarQuantColumn< Double > | timeQuant_p

## Detailed Description

A class to provide easy access to MSFlagCmd columns

### Intended use:

Public interface

### Review Status

Reviewed By:
  Bob Garwood
Date Reviewed:
  1997/02/01

### Prerequisite

- MSFlagCmd
- ScalarColumn

### Etymology

MSFlagCmdColumns stands for MeasurementSet FlagCmd Table columns.

### Synopsis

This class provides access to the columns in the MSFlagCmd Table, it does the declaration of all the ScalarColumns with the correct types, so the application programmer doesn't have to worry about getting those right. There is an access function for every predefined column. Access to non-predefined columns will still have to be done with explicit declarations. See MSColumns for an example.

### Motivation

See MSColumns for the motivation.

Definition at line 73 of file MSFlagCmdColumns.h.

## Constructor & Destructor Documentation

## MSFlagCmdColumns() [1/3]

casacore::MSFlagCmdColumns::MSFlagCmdColumns | ( | const MSFlagCmd & | msFlagCmd | ) |

Create a columns object that accesses the data in the specified Table.

Referenced by MSFlagCmdColumns(), and operator=().

## ~MSFlagCmdColumns()

casacore::MSFlagCmdColumns::~MSFlagCmdColumns | ( |  | ) |

The destructor does nothing special.

## MSFlagCmdColumns() [2/3]

casacore::MSFlagCmdColumns::MSFlagCmdColumns | ( |  | ) |

protected

## MSFlagCmdColumns() [3/3]

casacore::MSFlagCmdColumns::MSFlagCmdColumns | ( | const MSFlagCmdColumns & |  | ) |

private

References MSFlagCmdColumns().

## Member Function Documentation

## applied() [1/2]

ScalarColumn< Bool > & casacore::MSFlagCmdColumns::applied | ( |  | ) |

inline

Access to required columns.

Definition at line 84 of file MSFlagCmdColumns.h.

References applied_p.

## applied() [2/2]

const ScalarColumn< Bool > & casacore::MSFlagCmdColumns::applied | ( |  | ) | const

inline

Const access to required columns.

Definition at line 99 of file MSFlagCmdColumns.h.

References applied_p.

## attach()

void casacore::MSFlagCmdColumns::attach | ( | const MSFlagCmd & | msFlagCmd | ) |

protected

## command() [1/2]

ScalarColumn< String > & casacore::MSFlagCmdColumns::command | ( |  | ) |

inline

Definition at line 85 of file MSFlagCmdColumns.h.

References command_p.

## command() [2/2]

const ScalarColumn< String > & casacore::MSFlagCmdColumns::command | ( |  | ) | const

inline

Definition at line 100 of file MSFlagCmdColumns.h.

References command_p.

## interval() [1/2]

ScalarColumn< Double > & casacore::MSFlagCmdColumns::interval | ( |  | ) |

inline

Definition at line 86 of file MSFlagCmdColumns.h.

References interval_p.

## interval() [2/2]

const ScalarColumn< Double > & casacore::MSFlagCmdColumns::interval | ( |  | ) | const

inline

Definition at line 101 of file MSFlagCmdColumns.h.

References interval_p.

## intervalQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSFlagCmdColumns::intervalQuant | ( |  | ) |

inline

Definition at line 87 of file MSFlagCmdColumns.h.

References intervalQuant_p.

## intervalQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSFlagCmdColumns::intervalQuant | ( |  | ) | const

inline

Definition at line 102 of file MSFlagCmdColumns.h.

References intervalQuant_p.

## level() [1/2]

ScalarColumn< Int > & casacore::MSFlagCmdColumns::level | ( |  | ) |

inline

Definition at line 88 of file MSFlagCmdColumns.h.

References level_p.

## level() [2/2]

const ScalarColumn< Int > & casacore::MSFlagCmdColumns::level | ( |  | ) | const

inline

Definition at line 103 of file MSFlagCmdColumns.h.

References level_p.

## nrow()

rownr_t casacore::MSFlagCmdColumns::nrow | ( |  | ) | const

inline

Convenience function that returns the number of rows in any of the columns.

Definition at line 113 of file MSFlagCmdColumns.h.

References applied_p.

## operator=()

MSFlagCmdColumns & casacore::MSFlagCmdColumns::operator= | ( | const MSFlagCmdColumns & |  | ) |

private

References MSFlagCmdColumns().

## reason() [1/2]

ScalarColumn< String > & casacore::MSFlagCmdColumns::reason | ( |  | ) |

inline

Definition at line 89 of file MSFlagCmdColumns.h.

References reason_p.

## reason() [2/2]

const ScalarColumn< String > & casacore::MSFlagCmdColumns::reason | ( |  | ) | const

inline

Definition at line 104 of file MSFlagCmdColumns.h.

References reason_p.

## setEpochRef()

void casacore::MSFlagCmdColumns::setEpochRef | ( | MEpoch::Types | ref,
|  | Bool | tableMustBeEmpty = True )

set the epoch type for the FLAG_CMD column.

Tip: In principle this function can only be used if the table is empty, otherwise already written values may thereafter have an incorrect reference, offset, or unit; However, it is possible that part of the table gets written before these values are known; In that case the reference, offset, or units can be set by using a False tableMustBeEmpty argument;

References casacore::ref(), and casacore::True.

## severity() [1/2]

ScalarColumn< Int > & casacore::MSFlagCmdColumns::severity | ( |  | ) |

inline

Definition at line 90 of file MSFlagCmdColumns.h.

References severity_p.

## severity() [2/2]

const ScalarColumn< Int > & casacore::MSFlagCmdColumns::severity | ( |  | ) | const

inline

Definition at line 105 of file MSFlagCmdColumns.h.

References severity_p.

## time() [1/2]

ScalarColumn< Double > & casacore::MSFlagCmdColumns::time | ( |  | ) |

inline

Definition at line 91 of file MSFlagCmdColumns.h.

References time_p.

## time() [2/2]

const ScalarColumn< Double > & casacore::MSFlagCmdColumns::time | ( |  | ) | const

inline

Definition at line 106 of file MSFlagCmdColumns.h.

References time_p.

## timeMeas() [1/2]

ScalarMeasColumn< MEpoch > & casacore::MSFlagCmdColumns::timeMeas | ( |  | ) |

inline

Definition at line 93 of file MSFlagCmdColumns.h.

References timeMeas_p.

## timeMeas() [2/2]

const ScalarMeasColumn< MEpoch > & casacore::MSFlagCmdColumns::timeMeas | ( |  | ) | const

inline

Definition at line 108 of file MSFlagCmdColumns.h.

References timeMeas_p.

## timeQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSFlagCmdColumns::timeQuant | ( |  | ) |

inline

Definition at line 92 of file MSFlagCmdColumns.h.

References timeQuant_p.

## timeQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSFlagCmdColumns::timeQuant | ( |  | ) | const

inline

Definition at line 107 of file MSFlagCmdColumns.h.

References timeQuant_p.

## type() [1/2]

ScalarColumn< String > & casacore::MSFlagCmdColumns::type | ( |  | ) |

inline

Definition at line 94 of file MSFlagCmdColumns.h.

References type_p.

## type() [2/2]

const ScalarColumn< String > & casacore::MSFlagCmdColumns::type | ( |  | ) | const

inline

Definition at line 109 of file MSFlagCmdColumns.h.

References type_p.

## Member Data Documentation

## applied_p

ScalarColumn<Bool> casacore::MSFlagCmdColumns::applied_p

private

Definition at line 141 of file MSFlagCmdColumns.h.

Referenced by applied(), applied(), and nrow().

## command_p

ScalarColumn<String> casacore::MSFlagCmdColumns::command_p

private

Definition at line 142 of file MSFlagCmdColumns.h.

Referenced by command(), and command().

## interval_p

ScalarColumn<Double> casacore::MSFlagCmdColumns::interval_p

private

Definition at line 143 of file MSFlagCmdColumns.h.

Referenced by interval(), and interval().

## intervalQuant_p

ScalarQuantColumn<Double> casacore::MSFlagCmdColumns::intervalQuant_p

private

Definition at line 154 of file MSFlagCmdColumns.h.

Referenced by intervalQuant(), and intervalQuant().

## level_p

ScalarColumn<Int> casacore::MSFlagCmdColumns::level_p

private

Definition at line 144 of file MSFlagCmdColumns.h.

Referenced by level(), and level().

## reason_p

ScalarColumn<String> casacore::MSFlagCmdColumns::reason_p

private

Definition at line 145 of file MSFlagCmdColumns.h.

Referenced by reason(), and reason().

## severity_p

ScalarColumn<Int> casacore::MSFlagCmdColumns::severity_p

private

Definition at line 146 of file MSFlagCmdColumns.h.

Referenced by severity(), and severity().

## time_p

ScalarColumn<Double> casacore::MSFlagCmdColumns::time_p

private

Definition at line 147 of file MSFlagCmdColumns.h.

Referenced by time(), and time().

## timeMeas_p

ScalarMeasColumn<MEpoch> casacore::MSFlagCmdColumns::timeMeas_p

private

Definition at line 151 of file MSFlagCmdColumns.h.

Referenced by timeMeas(), and timeMeas().

## timeQuant_p

ScalarQuantColumn<Double> casacore::MSFlagCmdColumns::timeQuant_p

private

Definition at line 155 of file MSFlagCmdColumns.h.

Referenced by timeQuant(), and timeQuant().

## type_p

ScalarColumn<String> casacore::MSFlagCmdColumns::type_p

private

Definition at line 148 of file MSFlagCmdColumns.h.

Referenced by type(), and type().

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSFlagCmdColumns.h